Firefox 12 Stable Release Update

Bug #987262 reported by Chris Coulson on 2012-04-23
262
This bug affects 2 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
ubufox (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

USN information will go here after release

PowerPC FTBFS tracked in Bug #987421

Extra packages that needs to be released at the same time due to the /usr/lib/firefox-* change to /usr/lib/firefox:
Lucid: flashplugin-nonfree gecko-mediaplayer gnome-chemistry-utils gtk-vnc mozplugger opensc pcmanx-gtk2 virt-viewer xine-plugin
Natty and Oneiric: flashplugin-nonfree gnome-chemistry-utils

Micah Gersten (micahg) on 2012-04-23
summary: - Placeholder bug
+ Firefox 12 Stable Release Update
Changed in firefox (Ubuntu Lucid):
status: New → In Progress
Changed in firefox (Ubuntu Natty):
status: New → In Progress
Changed in firefox (Ubuntu Oneiric):
status: New → In Progress
Changed in firefox (Ubuntu Precise):
status: New → In Progress
description: updated
Micah Gersten (micahg) on 2012-04-23
description: updated
Micah Gersten (micahg) on 2012-04-23
security vulnerability: no → yes
Micah Gersten (micahg) wrote :

flashplugin-nonfree was already updated for precise pre-release

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: New → In Progress
Changed in flashplugin-nonfree (Ubuntu Precise):
status: New → Invalid
Micah Gersten (micahg) on 2012-04-26
no longer affects: gnome-chemistry-utils (Ubuntu)
no longer affects: gnome-chemistry-utils (Ubuntu Lucid)
no longer affects: gnome-chemistry-utils (Ubuntu Natty)
no longer affects: gnome-chemistry-utils (Ubuntu Oneiric)
no longer affects: gnome-chemistry-utils (Ubuntu Precise)
no longer affects: gecko-mediaplayer (Ubuntu Lucid)
no longer affects: gecko-mediaplayer (Ubuntu Precise)
no longer affects: gecko-mediaplayer (Ubuntu Oneiric)
no longer affects: gecko-mediaplayer (Ubuntu Natty)
no longer affects: gecko-mediaplayer (Ubuntu)
Micah Gersten (micahg) wrote :

Changing the task to ubufox as it needs to be tracked for the USN, it's also not needed in precise

description: updated
affects: flashplugin-nonfree (Ubuntu Lucid) → ubufox (Ubuntu Lucid)
Changed in ubufox (Ubuntu Natty):
status: New → In Progress
Changed in ubufox (Ubuntu Oneiric):
status: New → In Progress
Launchpad Janitor (janitor) wrote :
Download full text (4.3 KiB)

This bug was fixed in the package firefox - 12.0+build1-0ubuntu0.10.04.1

---------------
firefox (12.0+build1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_12_0_BUILD1)
    - see LP: #987262 for USN information

  [ Chris Coulson <email address hidden> ]
  * Make sure to add a binary libgconf2-4 dependency as dpkg-shlibdeps won't
    do this for us now
    - update debian/rules
    - update debian/control{,.in}
  * Firefox recommends libcanberra0 now that bmo: #635918 has landed
    - update debian/control{,in}
  * Clean up search plugin installation now that we build our own
    language packs:
    - Drop the recursive symlink from /usr/lib/firefox-addons/searchplugins,
      which lintian kept complaining about
    - Don't effectively symlink distribution/searchplugins to searchplugins,
      as they have different layouts and this avoids the same data being
      iterated over twice
    - Revert to the upstream layout in distribution/searchplugins
      - add debian/firefox-locale.preinst.in, which will end up in all
        language packs to assist the symlink -> folder transition
      - update debian/firefox.dirs.in
      - update debian/firefox.install.in
      - update debian/firefox.links.in
      - update debian/firefox.preinst.in
      - update debian/patches/distro-locale-searchplugins.patch
      - update debian/rules
  * Fix LP: #894166 - Make Firefox work with our system hyphenation patterns,
    and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
  * Fix LP: #807733 - Firefox doesn't restart after upgrades where the version
    changes. Don't include the version number in the install path, as Firefox
    cannot re-exec itself.
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.preinst.in
    - update debian/rules
  * Expose distribution/extensions in /usr/lib/firefox-addons, to allow
    administrators to add extensions that they want to add to default user
    profiles, and that they want the addon manager to keep updated. We lost
    this functionality when upgrading from Firefox 3.6, due to the loss of
    /etc/firefox/profile
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/ubuntu-codes-google.patch
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/ubuntu-codes-amazon/patch
  * Massively simplify distro-locale-searchplugins.patch, as we don't need
    to swap the loading order of common / locale-specific searchplugin
    paths. $LIBDIR/distribution/searchplugins/common is no longer a symlink
    to $LIBDIR/searchplugins, so there is no need to have the ability for
    locale-specif...

Read more...

Changed in firefox (Ubuntu Lucid):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.9.5-0ubuntu0.10.04.1

---------------
ubufox (0.9.5-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release
    - Update compatibility for Firefox 13 (LP: #987262)
    - Update startpage URL (LP: #985862)
 -- Chris Coulson <email address hidden> Tue, 24 Apr 2012 00:53:25 +0100

Changed in ubufox (Ubuntu Lucid):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package firefox - 12.0+build1-0ubuntu0.11.04.1

---------------
firefox (12.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_12_0_BUILD1)
    - see LP: #987262 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 2.0.6
    - Add support for Firefox 12
    - Ensure we correctly hide dummy menu items
  * Make sure to add a binary libgconf2-4 dependency as dpkg-shlibdeps won't
    do this for us now
    - update debian/rules
    - update debian/control{,.in}
  * Firefox recommends libcanberra0 now that bmo: #635918 has landed
    - update debian/control{,in}
  * Clean up search plugin installation now that we build our own
    language packs:
    - Drop the recursive symlink from /usr/lib/firefox-addons/searchplugins,
      which lintian kept complaining about
    - Don't effectively symlink distribution/searchplugins to searchplugins,
      as they have different layouts and this avoids the same data being
      iterated over twice
    - Revert to the upstream layout in distribution/searchplugins
      - add debian/firefox-locale.preinst.in, which will end up in all
        language packs to assist the symlink -> folder transition
      - update debian/firefox.dirs.in
      - update debian/firefox.install.in
      - update debian/firefox.links.in
      - update debian/firefox.preinst.in
      - update debian/patches/distro-locale-searchplugins.patch
      - update debian/rules
  * Fix LP: #894166 - Make Firefox work with our system hyphenation patterns,
    and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
  * Fix LP: #807733 - Firefox doesn't restart after upgrades where the version
    changes. Don't include the version number in the install path, as Firefox
    cannot re-exec itself. In doing this, we also move the distribution.ini
    back in to our installation directory, as that never made sense in
    /usr/lib/firefox-addons
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.preinst.in
    - update debian/rules
  * Expose distribution/extensions in /usr/lib/firefox-addons, to allow
    administrators to add extensions that they want to add to default user
    profiles, and that they want the addon manager to keep updated. We lost
    this functionality when upgrading from Firefox 3.6, due to the loss of
    /etc/firefox/profile
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Massively simplify distro-locale-searchplugins.patch, as we don't need
  ...

Read more...

Changed in firefox (Ubuntu Natty):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.9.5-0ubuntu1

---------------
ubufox (0.9.5-0ubuntu1) natty-security; urgency=low

  * New upstream release
    - Update compatibility for Firefox 13 (LP: #987262)
    - Update startpage URL (LP: #985862)
 -- Chris Coulson <email address hidden> Tue, 24 Apr 2012 00:48:54 +0100

Changed in ubufox (Ubuntu Natty):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package firefox - 12.0+build1-0ubuntu0.11.10.1

---------------
firefox (12.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_12_0_BUILD1)
    - see LP: #987262 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 2.0.6
    - Add support for Firefox 12
    - Ensure we correctly hide dummy menu items
  * Firefox recommends libcanberra0 now that bmo: #635918 has landed
    - update debian/control{,in}
  * Clean up search plugin installation now that we build our own
    language packs:
    - Drop the recursive symlink from /usr/lib/firefox-addons/searchplugins,
      which lintian kept complaining about
    - Don't effectively symlink distribution/searchplugins to searchplugins,
      as they have different layouts and this avoids the same data being
      iterated over twice
    - Revert to the upstream layout in distribution/searchplugins
      - add debian/firefox-locale.preinst.in, which will end up in all
        language packs to assist the symlink -> folder transition
      - update debian/firefox.dirs.in
      - update debian/firefox.install.in
      - update debian/firefox.links.in
      - update debian/firefox.preinst.in
      - update debian/patches/distro-locale-searchplugins.patch
      - update debian/rules
  * Fix LP: #807733 - Firefox doesn't restart after upgrades where the version
    changes. Don't include the version number in the install path, as Firefox
    cannot re-exec itself. In doing this, we also move the distribution.ini
    back in to our installation directory, as that never made sense in
    /usr/lib/firefox-addons
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.preinst.in
    - update debian/rules
  * Expose distribution/extensions in /usr/lib/firefox-addons, to allow
    administrators to add extensions that they want to add to default user
    profiles, and that they want the addon manager to keep updated. We lost
    this functionality when upgrading from Firefox 3.6, due to the loss of
    /etc/firefox/profile
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Massively simplify distro-locale-searchplugins.patch, as we don't need
    to swap the loading order of common / locale-specific searchplugin
    paths. $LIBDIR/distribution/searchplugins/common is no longer a symlink
    to $LIBDIR/searchplugins, so there is no need to have the ability for
    locale-specific plugins to override common ones. They already override
    those in $LIBDIR/searchplugins
    - update debian/patches/distro-locale-searchplugins.patch
  * Fi...

Read more...

Changed in firefox (Ubuntu Oneiric):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 1.0.4-0ubuntu1

---------------
ubufox (1.0.4-0ubuntu1) oneiric-security; urgency=low

  * New upstream release
    - Update compatibility for Firefox 13 (LP: #987262)
    - Update startpage URL (LP: #985862)
 -- Chris Coulson <email address hidden> Tue, 24 Apr 2012 00:44:08 +0100

Changed in ubufox (Ubuntu Oneiric):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 12.0+build1-0ubuntu0.12.04.1

---------------
firefox (12.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (FIREFOX_12_0_BUILD1)
    - see LP: #987262 for USN information

  * Update globalmenu-extension to 3.2.3
    - Fix regression introduced by the fix for LP: #915888
  * Firefox recommends libcanberra0 now that bmo: #635918 has landed
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Refresh locales
    - refresh debian/config/locales.all
    - refresh debian/control
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Firefox fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support
 -- Chris Coulson <email address hidden> Mon, 23 Apr 2012 13:13:27 +0100

Changed in firefox (Ubuntu Precise):
status: In Progress → Fix Released
Micah Gersten (micahg) on 2012-04-27
Changed in firefox (Ubuntu):
status: In Progress → Invalid
Changed in firefox (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers